Bug 238635 - cman init script doesn't work with if xend is enabled but non-xen kernel is running [5.0.z1]
Summary: cman init script doesn't work with if xend is enabled but non-xen kernel is r...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-01 21:38 UTC by Lon Hohberger
Modified: 2009-04-16 22:43 UTC (History)
3 users (show)

Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 16:59:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0575 normal SHIPPED_LIVE cman bug fix update 2007-10-31 12:26:24 UTC

Description Lon Hohberger 2007-05-01 21:38:03 UTC
Description of problem:

SSIA


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Lon Hohberger 2007-05-07 18:27:04 UTC
Details:

If you boot a non-xen kernel w/ fence_xvmd, enabled in the cluster config, the
script returns a failure.



Comment 2 Lon Hohberger 2007-05-10 14:51:00 UTC
This isn't actually correct.

If you:

* Install a RHEL5 guest with advanced platform,
* Enable xend (chkconfig --level 2345 xend on)
* Install the current RHEL5 cluster errat for cman, and
* boot a kernel without Xen support,

...the cman init script chokes and will not start cman.  This is actually not
related to fence_xvmd as originally thought.

This is consistent with the operational specification of how fence_xvmd is
started: failing to start fence_xvmd does not cause a failure of other parts of
the infrastructure.



Comment 3 Ryan McCabe 2007-05-10 14:57:10 UTC
Created attachment 154474


This patch should fix the problem. I've applied it to the HEAD and RHEL5
branches.

Comment 4 RHEL Product and Program Management 2007-05-10 15:04:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2007-11-07 16:59:31 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html



Note You need to log in before you can comment on or make changes to this bug.